//
//  SecondModel.h
//  SecondWindow
//
//  Created by Kenneth Hoffmann on 3/27/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
@class GraphView;
@class Breakpoint;
@class LineSegment;
@class CoordConverter;

@interface SecondModel : NSObject <NSCoding> {
	CoordConverter * conv;
	
	NSMutableArray * segments;
	NSMutableArray * breakpoints;
	
	float minYValue;
	float maxYValue;
	float resolution;
}

-(void)setCoordConv:(CoordConverter *)con;
-(void)setSegments:(NSMutableArray *)segs;
-(void)setBreakpoints:(NSMutableArray *)breakp;
-(void)setMinY:(float)minY;
-(void)setMaxY:(float)maxY;
-(void)setResolution:(float)resol;

-(CoordConverter *)getCoordConv;
-(NSMutableArray *)getSegments;
-(NSMutableArray *)getBreakpoints;
-(float)getMinY;
-(float)getMaxY;
-(float)getResolution;

@end
